

.img-block{
    display: flex;
    border-radius: 10px;

    

    img{
        border-radius:10px;
        
        &:hover{
        border-radius:10px;
    }
    }
}


.music-released{
    padding: 30px 10px 0 10px;

}

.change-category{
    display: flex;
    gap: 10px;


    
    & > button{
       width: 80px;
       height: 25px;
       font-size: 8px;
        border-radius: 30px;
        margin: 15px 0;
        color: #fff;
        border-color: #fff;
        transition: none;


        &:hover{
            border-color: #fff;
            background-color: none;
        }
    }
}


.detail-playlist-block{
    width: 250px;
}


.song-list{
    width: 100%;
    margin: 10px 0;


    img{
    border-radius: 10px;
    }
}





.track-in-playlist{
    position: relative;
    display: flex;
    justify-content: space-between;
    font-size: 10px;
    padding: 10px;
    border-top: 1px solid #d6d4d413;
    border-bottom: 1px solid #d6d4d413;
    border-radius: 0px;
    width: 100%;


        &:hover .track-active-option{
            visibility:visible;
            margin-right: 15px;
        }

        &.active-background{
            background-color: rgb(55, 49, 65);
            border-radius: 10px;
        }
        
       &:hover{
            background-color: rgb(55, 49, 65);
            border-radius: 10px;
            border:none
        }

        
    .song-item{
        display: flex;
        
        
        
          
        .song-img{
            position: relative;
        }

        &:hover .icon{
            visibility:visible;
        }

        .icon{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            background-color: #00000031;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            visibility:hidden;
            cursor: pointer;
    
            img{
                width: 40px;
                height: 40px;
                display: block;
                border-radius: 20px;
                padding: 5px;
            }
    
            &.show-equalizer {
                visibility: visible;
              }
    
              .icon-play-track{
                font-size: 30px;
                border-radius: 30px;
              }
        }

    }

     
    }
    
    
    
    




.song-title{
    margin-left: 10px;
}

.song-name{
    cursor: pointer;
    color: #fff;
    &:hover{
        color: #c273ed;
    }
}

.song-detail{
    color: #ffffff82;
}

.active-btn-category{
    background-color: #c273ed;
    &:hover {
        background-color: #c273ed;  // Giữ màu nền khi hover vào nút đang active
      }
}


.category-btn{
    color: #fff;
    border-color:#fff ;
}


.detail-playlist-info {
    color: #fff;
    text-align: center;
    font-size: 13px;
    line-height: 2;

  
}



  .option-menu {

        .MuiPaper-root.MuiPaper-elevation.MuiPaper-rounded.MuiPaper-elevation8.MuiPopover-paper.MuiMenu-paper.MuiMenu-paper {
            background-color: #34224F;
            color: #d6d4d4;
            width: 250px;
        }
        
        li.MuiButtonBase-root.MuiMenuItem-root.MuiMenuItem-gutters.MuiMenuItem-root.MuiMenuItem-gutters {
            display: flex;
            gap: 15px;
        }
    }

.user-create-playlist{
    color: #ffffff82;
}


.user-name-playlist{
    color: #fff;
    font-weight: 600;
}

.icon-option-other{
    background-color: #ffffff27;
    padding: 5px;
    font-size: 30px;
    border-radius: 30px;
    cursor: pointer;
    margin: 10px 0;
}

.title-playlist{
    font-weight: 800;
}

.option-menu-item{
    background-color: transparent !important;

    &:hover{
        background-color: #ffffff16 !important;
    }
}




.row-title{
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    color: #d6d4d482;
    border-bottom: 1px solid #d6d4d482;
}


@media (max-width: 873px) {
    .detail-playlist-block{
        display: flex;

        .detail-playlist-info{
            text-align: left;
            margin-left: 20px;
        }
    }
}







.modal-add-playlist{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 350px;
    background-color: #34224F;
    padding: 20px 30px 30px 30px;
    z-index: 1;
    text-align: center;
    border-radius: 5px;

    &:focus-visible{
        outline: none;
    }


    .field-add-playlist{
        margin: 15px 0;
        border-radius: 30px;
        background-color: #483860;
        height: 40px;
        padding-bottom: 30px;


        &:hover {
            border-color: 'transparent', // Remove hover border
          }

        ::placeholder{
            color: #fff;
            
        }
        
        fieldset.MuiOutlinedInput-notchedOutline.css-1d3z3hw-MuiOutlinedInput-notchedOutline{
        display: none;

      
    }
    

    .css-1t8l2tu-MuiInputBase-input-MuiOutlinedInput-input{
        color: #fff;
        padding: 10px;
    }

      
    }

.block-close-playlist{
    text-align: right;

    .close-model-playlist{
        color: #fff;
        cursor: pointer;        
        }
}

     



    .btn-create-playlist{
        background-color: #9B4DE0;
        color: #fff;
        border-color: #9B4DE0;
        border-radius: 30px;

        &.drop{
            cursor: no-drop;
            background-color: #673798;
            color: #8871A2;
            border-color: #00000020;
            border-radius: 30px;
        }
    }
}





.modal-delete-playlist{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 500px;
    background-color: #34224F;
    padding: 15px 20px 20px 20px;
    z-index: 1;
    text-align: left;
    border-radius: 5px;

    &:focus-visible{
        outline: none;
    }
    
    .btn-block{
        display: flex;
        justify-content: flex-end;
        gap: 15px;
    }

  
    .btn-delete-no-playlist,
    .btn-delete-playlist{
        border-radius: 30px;
        font-size: 10px;
        width: 0px;
        margin-top: 20px;
    }


    .btn-delete-no-playlist{
        background-color: #46355E;
        color: #fff;
        border-color: #46355E;

        &:hover{
            background-color: #46355ed6;
            border-color: #46355ed6;
    
        }
    }
    

    .btn-delete-playlist{
        background-color: #9B4DE0;
        color: #fff;
        border-color: #9B4DE0;

        &:hover{
            background-color: #9b4de0a2;
            border-color: #9b4de013;
    
        }
    }

   

    .block-close-playlist{
        text-align: right;
    
        .close-model-playlist{
            color: #fff;
            cursor: pointer;        
        }
    }

}


    .track-empty{
        background-color: #302639;
        width: 100%;
        height: 250px;
        color: #d6d4d482;
        text-align: center;
        font-size: 20px;
        padding-top: 50px;
    }


    .track-empty-icon{
        font-size: 100px;
    }





    


        .track-img-detail{
            position: relative;
            cursor: pointer;
            overflow: hidden;
    
        img{
            transition: all 0.7s ;
        }
    
        &:hover img{
            transform: scale(1.1);
        }
    
        &:hover .icon{
            visibility:visible;
        }
    
        
        .icon{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: #00000031;
            width: 15%;
            height: 15%;
            display: flex;
            justify-content: center;
            align-items: center;
            visibility:hidden;
            border-radius: 20px;
    
            img{
                width: 40px;
                height: 40px;
                display: block;
                border: 1px solid #fff;
                border-radius: 20px;
                padding: 5px;
            }
            
            .img-run{
                // filter: brightness(1);
            }
    
            &.show-equalizer {
                visibility: visible;
              }
    
              .icon-play-track{
                font-size: 43px;
                border:1px solid #fff;
                border-radius: 30px;
              }
        }

    }



    .icon-delete-track{
        display: flex;
        font-size: 40px;
        padding: 10px;
        background-color: #ffffff15;
        border-radius: 50%;
        color: #fff;
        cursor: pointer;
        
        &:hover{
            background-color: #9392929e;
        }
    }
    


    .MuiTooltip-tooltip.MuiTooltip-tooltipArrow.MuiTooltip-tooltipPlacementTop.css-1k51tf5-MuiTooltip-tooltip{
        margin-bottom: 7px;
    &:hover{
        display: none;
    }
 }




    
       
    